UPBRIGHT Hatteker RFC-588 RSCX-9588 Shaver Power

UPBRIGHT 5V AC/DC Adapter User Manual

Model: Hatteker RFC-588 RSCX-9588 Shaver Power

1. Introduction

This manual provides essential information for the safe and effective use of your UPBRIGHT 5V AC/DC Adapter. This power supply is designed to be compatible with a wide range of Hatteker cordless hair trimmers, pro hair clippers, beard trimmers, and electric shavers, including models such as RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-9598, RSCX-9598A, RSCX-9588, RSCX-7568, RSCW-7800, and RSCW-2018. It provides a stable 5V DC output at 1A (1000mA) for reliable charging and power.

2. Important Safety Information

  • Indoor Use Only: This adapter is intended for indoor use in dry locations. Do not expose to rain, moisture, or extreme temperatures.
  • Proper Voltage: Ensure the wall outlet voltage matches the adapter's input voltage (100-240VAC).
  • Avoid Overload: Do not overload the adapter or the electrical outlet.
  • Handle with Care: Do not drop, disassemble, or attempt to repair the adapter. Refer servicing to qualified personnel.
  • Unplug When Not in Use: Disconnect the adapter from the power outlet when not in use or during electrical storms.
  • Keep Away from Children: Store the adapter out of reach of children.

3. Package Contents

  • 1 x UPBRIGHT 5V AC/DC Adapter

4. Setup Instructions

Follow these steps to set up your UPBRIGHT AC/DC Adapter:

  1. Identify Your Device: Ensure your Hatteker device (trimmer, clipper, shaver, razor) requires a 5V DC input and has a compatible 2-pin charging port.
  2. Connect the Adapter: Insert the 2-pin connector of the adapter cable firmly into the charging port of your Hatteker device.
  3. Plug into Power Outlet: Insert the 2-prong plug of the adapter into a standard 100-240VAC wall power outlet.
  4. Verify Connection: Confirm that the adapter is securely plugged into both the device and the wall outlet. The device should indicate charging or power.
UPBRIGHT 5V AC/DC Adapter

The UPBRIGHT 5V AC/DC Adapter with its 2-prong plug and compatible output connector.

Side view of UPBRIGHT AC/DC Adapter

Side view of the adapter, showing the caution label and the output cable connection.

Compatibility diagram for Hatteker devices

Diagram illustrating the wide compatibility of the adapter with various Hatteker grooming devices.

5. Operating Instructions

Once connected, the UPBRIGHT 5V AC/DC Adapter will provide continuous power to your Hatteker device or charge its internal battery. The adapter automatically adjusts to input voltages between 100V and 240V AC, making it suitable for worldwide use. It delivers a stable 5V DC output at 1 Ampere, ensuring efficient and safe power delivery to your compatible grooming tools.

The adapter features built-in safety protections including Over Voltage Protection (OVP), Over Current Protection (OCP), and Short Circuit Protection (SCP) to safeguard both the adapter and your connected device from electrical damage.

6. Maintenance and Care

  • Cleaning: Disconnect the adapter from the power source and the device before cleaning. Use a soft, dry cloth to wipe the surface. Do not use liquid cleaners or sprays.
  • Storage: Store the adapter in a cool, dry place away from direct sunlight and moisture when not in use. Avoid wrapping the cable too tightly around the adapter to prevent damage.
  • Inspection: Periodically inspect the adapter and cable for any signs of damage, such as frayed wires or cracked casing. If damage is found, discontinue use immediately.

7. Troubleshooting

ProblemSolution
Device not charging/powering on.
  • Ensure the adapter is securely plugged into both the wall outlet and the device.
  • Verify the wall outlet is functional by testing with another appliance.
  • Check if the device itself is working correctly with its original charger (if available).
  • Confirm the adapter is compatible with your specific Hatteker model.
Adapter feels unusually hot.
  • Unplug the adapter immediately.
  • Ensure there is adequate ventilation around the adapter.
  • Avoid using the adapter in enclosed spaces or under blankets.
  • If overheating persists, discontinue use and contact support.
Visible damage to the adapter or cable.
  • Discontinue use immediately.
  • Do not attempt to repair.
  • Contact UPBRIGHT customer support for assistance.

8. Specifications

FeatureDetail
Input Voltage100-240VAC, 50/60Hz
Output Voltage5V DC
Output Current1A (1000mA)
Connector Type2-Pin
Protection FeaturesOVP (Over Voltage Protection), OCP (Over Current Protection), SCP (Short Circuit Protection)
Product Dimensions4 x 3 x 2 inches
Item Weight3 ounces
CertificationsCE, FCC, UL
Compatible DevicesHatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RFC-696B, RFC-691, RFC-686, RFC-698, RSCX-9598, RSCX-7568, RSCX-9608, RSCX-9800, RSCX-9588, RSCX-7571, RSCW-7800, RSCW-2018 Cordless Hair Trimmer Pro Hair Clippers Beard Trimmer & Electric Shaver Razor

9. Warranty and Support

Warranty: UPBRIGHT offers a 30-day refund policy and a 24-month exchange warranty for this product. Please retain your proof of purchase for warranty claims.

Customer Support: For any questions, technical assistance, or warranty inquiries, please contact UPBRIGHT customer support. You can find more information and contact details by visiting the official UPBRIGHT store page on Amazon: UPBRIGHT Store.

© 2023 UPBRIGHT. All rights reserved.

Ask a question about this manual

Ask about setup, troubleshooting, compatibility, parts, safety, or missing instructions. Manuals+ will review the question and use this page’s manual context to help answer it.

After a successful submission, we securely hash the supplied account or form email before sending it to Microsoft Advertising for conversion attribution. Privacy details.